{ lib, ... }: {
  config = {
    systems = [
      "x86_64-linux"
      "x86_64-darwin"
      "aarch64-linux"
      "aarch64-darwin"
    ];
  };

  options.flake.lib = lib.mkOption {
    type = lib.types.attrs;
    default = { };
    description = "`self.lib` attrset.";
  };

  options.flake.homeManagerModules = lib.mkOption {
    type = lib.types.attrs;
    default = { };
    description = "`self.homeManagerModules` attrset.";
  };
}
